Support

Register Domains

View as Markdown

Register new domains, retrieve registration schemas by TLD, and validate registration requests.

POST
/v2/customers/{customerId}/domains/register

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Request Body

application/json

An instance document expected to match the JSON schema returned by ./schema/{tld}

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/register" \  -H "Content-Type: application/json" \  -d '{    "domain": "string",    "consent": {      "agreementKeys": [        "string"      ],      "price": 0,      "currency": "USD",      "agreedBy": "string",      "agreedAt": "string"    }  }'
Empty
GET
/v2/customers/{customerId}/domains/register/schema/{tld}

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

tld*string

The Top-Level Domain whose schema should be retrieved

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/customers/string/domains/register/schema/string"
{  "id": "string",  "models": [    {}  ],  "properties": [    {      "defaultValue": "string",      "format": "string",      "items": [        {          "format": "string",          "pattern": "string",          "type": "string"        }      ],      "maxItems": 0,      "maximum": 0,      "minItems": 0,      "minimum": 0,      "pattern": "string",      "required": true,      "type": "string"    }  ],  "required": [    "string"  ],  "type": "object"}
POST
/v2/customers/{customerId}/domains/register/validate

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .

In: header

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Request Body

application/json

An instance document expected to match the JSON schema returned by ./schema/{tld}

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/customers/string/domains/register/validate" \  -H "Content-Type: application/json" \  -d '{    "domain": "string",    "consent": {      "agreementKeys": [        "string"      ],      "price": 0,      "currency": "USD",      "agreedBy": "string",      "agreedAt": "string"    }  }'
Empty

Agent & Automation Notes

Scopesdomains.domain:read, domains.domain:create, domains.domain:update, domains.contact:update, domains.nameserver:update, domains.transfer:execute, domains.transfer:update, domains.forward:update
Rate limit60 req/min per credential
On failureAsync operations return 202 with an Action object. Poll until terminal state. Do not resubmit transfers.

Last updated on

How is this guide?